Bug 39724 - Grecord fails to record audio with cs4281 audio
Grecord fails to record audio with cs4281 audio
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 18:07 EDT by Steven Cook
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 08:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Cook 2001-05-08 18:07:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9)
Gecko/20010505

Description of problem:
The Gnome sound recorder app "grecord" does not record as expected. It acts
like it is recording, but when you attempt to play back the recording, you
hear nothing but silence. 

How reproducible:
Always

Steps to Reproduce:
1. Boot to Linux
2. Log in and start X-Windows
3. Run the Gnome Recorder (grecord)
4. Run the Gnome Mixer (gmix) and verify that your recording device is
configured properly. (If it is, you should be able to speak into it and
hear what you spoke on the speakers). 
5. Record a file.
6. Attempt Playback.


Actual Results:  No audio from file.

Expected Results:  File plays back over speakers

Additional info:

Sighted on W460GXBS2 system.  Configuration:

Hardware Revisions        
Base Board    B2 (-307)    
I/O Board    B2 (-503)    
MEM Board    B2 (-105)    
Proc Board    B2 (-201)    

Hardware Configuration        
Proc    DP C0 800 2M    
Mem    4x128Mx2    
Video    ATI R128 (AGP)
SCSI    QL12160    
HDD    Segate Cheetah 10K 18GB    
LS120    Panasonic LKM F934    
CD-ROM    Acer 52x    
CD-RW    LG 8080    

Workaround (to record. We have not yet been successful in identifying a
workaround to force grecord to record):
 Attempted to verify recording ability at a lower level, using the
following process:
1. Boot linux
2. Log in as root. 
3. Start X-windows and the Gnome Mixer, and configure the recording device.
4. Exit X-windows.
5. Execute the following command line:
"dd if=/dev/dsp of=/tmp/recordtest" and speak into the microphone. 
when done speaking, press "ctrl-c". this will produce the file "recordtest"
which contains a bit copy of what the sound driver read in from the mic. 
6. Execute the follwoing command line:
"dd of=/tmp/recordtest if=/dev/dsp"

Expected result: You hear what you recorded.
Actual result: You hear what you recorded. 

Audio driver version unknown.  Driver is CS4281, included with the 2.4.3
kernel sources, last date of modification to the cs4281.c file is 21-Dec-2000.

Further attempts to record sound after invoking Grecord will not succeed,
even if the workaround is used, until a reboot of the system occurs.
Comment 1 David Mason 2001-05-21 11:47:26 EDT
Elliot, do you have any clue as to the problem here?
Comment 2 Havoc Pennington 2001-05-21 12:03:22 EDT
Owen points out that if you can hear what you're saying in the speakers in gmix,
that may not be going via software at all (just a hardware link in the sound
card), so the sound card may not be configured or may not have working kernel
drivers.
Comment 3 Steven Cook 2001-05-22 11:06:06 EDT
Agreed.  Would dd also function (see workaround text) if the audio driver was
not properly configured?  If so, could this be a "driver is non-functional"
problem, rather than a "application is non-functional" problem?
Comment 4 Havoc Pennington 2001-07-12 16:09:09 EDT
Bounce to kernel for now.
Comment 5 Arjan van de Ven 2001-07-12 16:12:29 EDT
This appears a bug with history, so my question is: is this still happening
with the 2.4.3-12 kernel ? (or newer)
Comment 6 Steven Cook 2001-07-12 19:46:46 EDT
The sound driver is configured enough that audio files (.wav and .mp3) both 
play, and RealPlayer is able to play audio associated with .rm files.

Verified audio functionality before re-trying the test -- still fails.  
uname -a reports:
Linux boxen01 2.4.3-12smp #1 OMP Fri Jun 8 13:06:07 EDT 2001 ia64 unknown

this is a system that was just installed with seawolf 7.1 (64-bit), sndconfig 
was run to verify sound configuration correct, then X was started, and grecord 
used to attempt to record sound.  Clicking on the "Record" button, the timer 
started running, but when recording stopped and playback was begun, the file 
had no sound in it (saved the .wav file and networked it onto a 32-bit system, 
where it also played out silently).

--steve--
Comment 7 Glen Foster 2001-07-13 16:11:27 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 8 Alan Cox 2003-06-09 08:45:35 EDT
7.1 is no longer supported on IA64. Closing

Note You need to log in before you can comment on or make changes to this bug.